> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/tennis/live-data-scenarios-1/suspensions.md).

# Suspensions

## Overview

Matches can be suspended for a number of reasons. The most common reasons are:

* Rain Delays (Outside Courts only)
* Darkness (Outside Courts only)
* Pause (E.g. Streaker on court, or when the rain is very light and the umpire pauses briefly to check if play can continue)
* Heat - this can also be specified as a 10 minute heat break (Court becomes too hot, or they need a water break)
* Other (Can be for any of the reasons stated above, and is the default suspension reason prior to a match entering warm-up pre-match)

## Packets

Suspension packets can come at any time, as matches can become suspended at any time.

Below is a Rain suspension

* Suspension - Rain JSON

```
{
  "timestamp": "2022-06-30T17:42:34.487Z",
  "eventElementType": "MatchStatusUpdate",
  "matchTime": "01:56:50",
  "seqNum": 534,
  "matchStatus": {
    "umpireCountry": "FRA",
    "umpire": "T. MEVEL",
    "teamAPlayer1": "A. GRAY",
    "tossChooser": "Serve",
    "teamBPlayer2": "J. WITHROW",
    "teamAPlayer2": "R. PENISTON",
    "matchState": {
      "state": "Suspended",
      "suspensionType": "Rain",
      "locationTimestamp": "2022-06-30T18:42:31"
    },
    "teamBPlayer1": "J. VLIEGEN",
    "numSets": 5,
    "scoringType": "LastSetTiebreak12",
    "firstServer": "TeamA",
    "tossWinner": "TeamA",
    "courtNum": 5,
    "teamAPlayersDetails": {
      "player1Id": "G0AO",
      "player2Id": "PH78",
      "player1Country": "GBR",
      "player2Country": "GBR"
    },
    "teamBPlayersDetails": {
      "player1Id": "V895",
      "player2Id": "W686",
      "player1Country": "BEL",
      "player2Country": "USA"
    },
    "umpireCode": "DjYAAA",
    "tieBreakType": "TieBreakInFinalSet"
  }
}
```

Once a suspension is over, an unsuspended packet is sent, e.g:

* Unsuspended JSON

```
{
  "timestamp": "2022-07-01T12:19:10.746Z",
  "eventElementType": "MatchStatusUpdate",
  "matchTime": "01:56:50",
  "seqNum": 535,
  "matchStatus": {
    "umpireCountry": "FRA",
    "umpire": "T. MEVEL",
    "teamAPlayer1": "A. GRAY",
    "tossChooser": "Serve",
    "teamBPlayer2": "J. WITHROW",
    "teamAPlayer2": "R. PENISTON",
    "matchState": {
      "state": "Unsuspended",
      "suspensionType": "Rain",
      "suspensionEnded": "2022-07-01T13:19:09",
      "locationTimestamp": "2022-06-30T18:42:31"
    },
    "teamBPlayer1": "J. VLIEGEN",
    "numSets": 5,
    "scoringType": "LastSetTiebreak12",
    "firstServer": "TeamA",
    "tossWinner": "TeamA",
    "courtNum": 7,
    "teamAPlayersDetails": {
      "player1Id": "G0AO",
      "player2Id": "PH78",
      "player1Country": "GBR",
      "player2Country": "GBR"
    },
    "teamBPlayersDetails": {
      "player1Id": "V895",
      "player2Id": "W686",
      "player1Country": "BEL",
      "player2Country": "USA"
    },
    "umpireCode": "DjYAAA",
    "tieBreakType": "TieBreakInFinalSet"
  }
}
```

Then, depending on how long the suspension was, there may be a 'Post Suspension Warm Up' packet, e.g:

* Post Suspension Warm Up JSON

```
{
  "timestamp": "2022-07-01T12:19:51.903Z",
  "eventElementType": "MatchStatusUpdate",
  "matchTime": "01:56:50",
  "seqNum": 536,
  "matchStatus": {
    "umpireCountry": "FRA",
    "umpire": "T. MEVEL",
    "teamAPlayer1": "A. GRAY",
    "tossChooser": "Serve",
    "teamBPlayer2": "J. WITHROW",
    "teamAPlayer2": "R. PENISTON",
    "matchState": {
      "state": "PostSuspensionWarmup",
      "locationTimestamp": "2022-07-01T13:19:50"
    },
    "teamBPlayer1": "J. VLIEGEN",
    "numSets": 5,
    "scoringType": "LastSetTiebreak12",
    "firstServer": "TeamA",
    "tossWinner": "TeamA",
    "courtNum": 7,
    "teamAPlayersDetails": {
      "player1Id": "G0AO",
      "player2Id": "PH78",
      "player1Country": "GBR",
      "player2Country": "GBR"
    },
    "teamBPlayersDetails": {
      "player1Id": "V895",
      "player2Id": "W686",
      "player1Country": "BEL",
      "player2Country": "USA"
    },
    "umpireCode": "DjYAAA",
    "tieBreakType": "TieBreakInFinalSet"
  }
}
```

However, if the suspension was not long, there will not be a warm up. The next packed will simple be the 'In Progress' packet.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/tennis/live-data-scenarios-1/suspensions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
